commit: a449696f86e79f047856ee0750fd5d7ccf9a757e
Author: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Fri Jul 21 17:05:18 2023 +0000
Commit: Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Fri Jul 21 17:05:18 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a449696f
dev-python/sphinxcontrib-katex: 0.9.7 version bump
Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
dev-python/sphinxcontrib-katex/Manifest | 1 +
.../sphinxcontrib-katex-0.9.7.ebuild | 36 ++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-python/sphinxcontrib-katex/Manifest
b/dev-python/sphinxcontrib-katex/Manifest
index ab0efc818..4b220b626 100644
--- a/dev-python/sphinxcontrib-katex/Manifest
+++ b/dev-python/sphinxcontrib-katex/Manifest
@@ -1,2 +1,3 @@
DIST sphinxcontrib-katex-0.9.4.tar.gz 98826 BLAKE2B
8d89ba5b5e282d94f57eb976a8779c176e0ae769eb91cc03d5a44461f51f966be8c995dfc2fc7c74d28d52487a76edd8f64879b6045f5c15d4aa97e2c2eb862f
SHA512
3fb66ca12a78d1a22dbb029a1c82de57ff0407da1fba8bf49be927b83c618fe7a80ef5560a1639439a6761146bc3073b4a9e52c6869d44d4d1f05cc311780519
DIST sphinxcontrib-katex-0.9.6.tar.gz 99157 BLAKE2B
72c0be16e2670a7990c8c25b788d2050c516c64c7f288729653ba656a061d8f5152d30c671bd0ed74b3db52c1dd531b341267e3bfca2bb1d9b929238e5ac1679
SHA512
caa1671922a1a677a94687de930d8c7d53b10b2e1e6e8c84e06426ea6a6fee295605b2d99cb3b3d159f016772dae376dd638a507110ebc139387e120f2324e12
+DIST sphinxcontrib-katex-0.9.7.tar.gz 99131 BLAKE2B
79ebc1818bb077894795728af64f9c20a773181d132ff80b60a134160a9e3e46bcf7fd0d989bec32c7e6b9102a9eda72a97b68d293f59258ae5e4f98775b0e56
SHA512
26fffecb967cdf0c658e5c30966cc065b856acd5874f3bed4de021f522f15c021ff94b691cc19b7070c15f7e55f35e2f0fe758356dd1bd8e0620f0f5b3664cdd
diff --git a/dev-python/sphinxcontrib-katex/sphinxcontrib-katex-0.9.7.ebuild
b/dev-python/sphinxcontrib-katex/sphinxcontrib-katex-0.9.7.ebuild
new file mode 100644
index 000000000..8d103276c
--- /dev/null
+++ b/dev-python/sphinxcontrib-katex/sphinxcontrib-katex-0.9.7.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="KaTeX Sphinx extension for rendering of math in HTML pages"
+HOMEPAGE="https://github.com/hagenw/sphinxcontrib-katex"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/sphinx-4.5.0-r1[${PYTHON_USEDEP}]
+ doc? ( dev-python/insipid-sphinx-theme )
+"
+
+DOCS=()
+
+distutils_enable_sphinx docs
+
+src_prepare() {
+ default
+ sed -i -e 's/license_file/license_files/' setup.cfg || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}